std::uniform_int_distribution< _IntType >::param_type(3)

NAME
std::uniform_int_distribution< _IntType >::param_type

SYNOPSIS

  Public Types
typedef uniform_int_distribution< _IntType > distribution_type

  Public Member Functions
param_type (_IntType __a, _IntType __b=numeric_limits< _IntType >::max())
result_type a () const
result_type b () const

  Friends
bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _IntType = int>
struct std::uniform_int_distribution< _IntType >::param_type" Parameter type.

Definition at line 83 of file uniform_int_dist.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.